/*
+-------------------------------- DISCLAIMER ---------------------------------+
|                                                                             |
| This application program is provided to you free of charge as an example.   |
| Despite the considerable efforts of Euresys personnel to create a usable    |
| example, you should not assume that this program is error-free or suitable  |
| for any purpose whatsoever.                                                 |
|                                                                             |
| EURESYS does not give any representation, warranty or undertaking that this |
| program is free of any defect or error or suitable for any purpose. EURESYS |
| shall not be liable, in contract, in torts or otherwise, for any damages,   |
| loss, costs, expenses or other claims for compensation, including those     |
| asserted by third parties, arising out of or in connection with the use of  |
| this program.                                                               |
|                                                                             |
+-----------------------------------------------------------------------------+
*/

//
//  FirstExpert Project
//
//  FirstExpertCanvas class declaration
//  File: FirstExpertCanvas.h
//////////////////////////////////////////////////////////////////////////////////

// Header macro definition
//////////////////////////////////////////////////////////////////////////////////
#ifndef FirstExpertCanvas_h
#define FirstExpertCanvas_h

// Forward declaration
//////////////////////////////////////////////////////////////////////////////////
class FirstExpertView;

// Class definition
//////////////////////////////////////////////////////////////////////////////////
class FirstExpertCanvas : public wxScrolledWindow
{
// Constructors
public:
    FirstExpertCanvas(wxWindow *parent,wxView* v,const wxPoint& pos=wxDefaultPosition, const wxSize& size=wxDefaultSize);
    ~FirstExpertCanvas();

// Variables
private:
    FirstExpertView* m_pView;

// Accessors
public:
    void SetViewPointer(FirstExpertView *pView) {m_pView=pView;};

// Event Handlers
public:
    virtual void OnDraw(wxDC& dc);

// Methods
public:
    void InitScrollbars(int width,int height);

private:
    DECLARE_EVENT_TABLE();
};

#endif // END of header macro definition
